aboutsummaryrefslogtreecommitdiff
path: root/tests/guix-package-net.sh
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2015-11-10 22:00:53 +0100
committerLudovic Courtès <ludo@gnu.org>2015-11-11 00:37:50 +0100
commitfc2d2339644b408574f0ead4436e751fa423a7e6 (patch)
tree2c5875eed1bad42d8f81a11ce8b49ff203fe09d7 /tests/guix-package-net.sh
parent21059b26b070d6064202272982392a299f09b6e4 (diff)
downloadguix-fc2d2339644b408574f0ead4436e751fa423a7e6.tar
guix-fc2d2339644b408574f0ead4436e751fa423a7e6.tar.gz
guix package: '--search-paths' can report combined search paths.
Partly fixes <http://bugs.gnu.org/20255>. * guix/scripts/package.scm (search-path-environment-variables): Change 'profile' to 'profiles'; expect it to be a list. (display-search-paths): Likewise. (%default-options): Remove 'profile' entry. (%options) <--profile>: Keep previous values associated with 'profile' in RESULT. (guix-package)[process-actions, process-query]: Handle the possible lack of 'profile' pair in OPTS.
Diffstat (limited to 'tests/guix-package-net.sh')
-rw-r--r--tests/guix-package-net.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/tests/guix-package-net.sh b/tests/guix-package-net.sh
index 14222cfd25..35ef6ff1a0 100644
--- a/tests/guix-package-net.sh
+++ b/tests/guix-package-net.sh
@@ -46,9 +46,10 @@ fi
profile="t-profile-$$"
+profile_alt="t-profile-alt-$$"
rm -f "$profile"
-trap 'rm -f "$profile" "$profile-"[0-9]* ; rm -rf t-home-'"$$" EXIT
+trap 'rm -f "$profile" "$profile_alt" "$profile-"[0-9]* ; rm -rf t-home-'"$$" EXIT
guix package --bootstrap -p "$profile" -i guile-bootstrap
@@ -156,6 +157,15 @@ guix package -p "$profile" --switch-generation=2
guix package -p "$profile" --delete-generations=3
test -z "`guix package -p "$profile" -l 3`"
+# Search path of combined profiles. 'LIBRARY_PATH' should show up only in the
+# combination, not in the individual profiles.
+rm "$profile"
+guix package --bootstrap -p "$profile" -i guile-bootstrap
+guix package --bootstrap -p "$profile_alt" -i gcc-bootstrap
+if guix package -p "$profile" --search-paths | grep LIBRARY_PATH
+then false; fi
+guix package -p "$profile" -p "$profile_alt" --search-paths \
+ | grep "LIBRARY_PATH.*$profile/lib"
#
# Try with the default profile.